Package org.codehaus.groovy.binding

## Interface FullBinding

- All Superinterfaces:
    `BindingUpdatable`
  All Known Implementing Classes:
    `AbstractFullBinding`, `MutualPropertyBinding`, `PropertyPathFullBinding`

      @Deprecated
      public interface FullBinding
      extends BindingUpdatable

  Deprecated.
  Since:
    Groovy 1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Closure` | `getConverter()` | Deprecated.
    `Closure` | `getReverseConverter()` | Deprecated.
    `SourceBinding` | `getSourceBinding()` | Deprecated.
    `TargetBinding` | `getTargetBinding()` | Deprecated.
    `Closure` | `getValidator()` | Deprecated.
    `void` | `setConverter​(Closure converter)` | Deprecated.
    `void` | `setReverseConverter​(Closure reverseConverter)` | Deprecated.
    `void` | `setSourceBinding​(SourceBinding source)` | Deprecated.
    `void` | `setTargetBinding​(TargetBinding target)` | Deprecated.
    `void` | `setValidator​(Closure validator)` | Deprecated.

    - ### Methods inherited from interface org.codehaus.groovy.binding.BindingUpdatable

      `bind, rebind, reverseUpdate, unbind, update`

- - ### Method Detail

    - #### getSourceBinding

          SourceBinding getSourceBinding()

      Deprecated.

    - #### getTargetBinding

          TargetBinding getTargetBinding()

      Deprecated.

    - #### setSourceBinding

          void setSourceBinding​(SourceBinding source)

      Deprecated.

    - #### setTargetBinding

          void setTargetBinding​(TargetBinding target)

      Deprecated.

    - #### setValidator

          void setValidator​(Closure validator)

      Deprecated.

    - #### getValidator

          Closure getValidator()

      Deprecated.

    - #### setConverter

          void setConverter​(Closure converter)

      Deprecated.

    - #### getConverter

          Closure getConverter()

      Deprecated.

    - #### setReverseConverter

          void setReverseConverter​(Closure reverseConverter)

      Deprecated.

    - #### getReverseConverter

          Closure getReverseConverter()

      Deprecated.